<script>
export default {
  data() {
    return {
      headers: [
        {
          text: 'Dessert (100g serving)',
          align: 'left',
          sortable: false,
          value: 'name'
        },
        { text: 'Calories', value: 'calories' },
        { text: 'Fat (g)', value: 'fat' },
        { text: 'Carbs (g)', value: 'carbs' },
        { text: 'Protein (g)', value: 'protein' },
        { text: 'Iron (%)', value: 'iron' }
      ],
      desserts: [
        {
          value: false,
          name: 'Frozen Yogurt',
          calories: 159,
          fat: 6.0,
          carbs: 24,
          protein: 4.0,
          iron: '1%'
        },
        {
          value: false,
          name: 'Ice cream sandwich',
          calories: 237,
          fat: 9.0,
          carbs: 37,
          protein: 4.3,
          iron: '1%'
        },
        {
          value: false,
          name: 'Eclair',
          calories: 262,
          fat: 16.0,
          carbs: 23,
          protein: 6.0,
          iron: '7%'
        },
        {
          value: false,
          name: 'Cupcake',
          calories: 305,
          fat: 3.7,
          carbs: 67,
          protein: 4.3,
          iron: '8%'
        },
        {
          value: false,
          name: 'Gingerbread',
          calories: 356,
          fat: 16.0,
          carbs: 49,
          protein: 3.9,
          iron: '16%'
        },
        {
          value: false,
          name: 'Jelly bean',
          calories: 375,
          fat: 0.0,
          carbs: 94,
          protein: 0.0,
          iron: '0%'
        },
        {
          value: false,
          name: 'Lollipop',
          calories: 392,
          fat: 0.2,
          carbs: 98,
          protein: 0,
          iron: '2%'
        },
        {
          value: false,
          name: 'Honeycomb',
          calories: 408,
          fat: 3.2,
          carbs: 87,
          protein: 6.5,
          iron: '45%'
        },
        {
          value: false,
          name: 'Donut',
          calories: 452,
          fat: 25.0,
          carbs: 51,
          protein: 4.9,
          iron: '22%'
        },
        {
          value: false,
          name: 'KitKat',
          calories: 518,
          fat: 26.0,
          carbs: 65,
          protein: 7,
          iron: '6%'
        }
      ]
    }
  },
  created() {
    for (let i = 0; i <= 100; i++) {
      let name = "name_" + i;
      let value = "value_" + i;
      this.list2show.push({ name: name, value: value });
    }
  }
}
</script>

<template>
  <div id="app">
    <v-app id="inspire">
      <v-container>
        <v-layout column style="height: 90vh"> <!--added height -->
          <v-flex md6 style="overflow-y: hidden;" > <!--added overflow-->
            <v-row style="overflow-y: scroll;">
              <v-col>
                  <option>option 1</option>
                  <option>option 1</option>
                  <option>option 1</option>
                  <option>option 1</option>
                  <option>option 1</option>
                  <option>option 1</option>
                  <option>option 1</option>
                  <option>option 1</option>
                  <option>option 1</option>
              </v-col>    
              <v-col style="overflow-y: scroll;">
                <v-data-table :headers="headers" :items="desserts" hide-actions class="elevation-1">
                  <template slot="items" slot-scope="props">
                    <td>{{ props.item.name }}</td>
                    <td>{{ props.item.calories }}</td>
                    <td>{{ props.item.fat }}</td>
                    <td>{{ props.item.carbs }}</td>
                    <td>{{ props.item.protein }}</td>
                    <td>empty</td>
                  </template>
                </v-data-table>
              </v-col>
              <v-col>
                <v-row style="overflow-y: scroll;">
                <v-data-table :headers="headers" :items="desserts" hide-actions class="elevation-1">
                  <template slot="items" slot-scope="props">
                    <td>{{ props.item.name }}</td>
                    <td>{{ props.item.calories }}</td>
                    <td>{{ props.item.fat }}</td>
                    <td>{{ props.item.carbs }}</td>
                    <td>{{ props.item.protein }}</td>
                    <td>{{ props.item.iron }}</td>
                  </template>
                </v-data-table>
              </v-row>
              </v-col>
            </v-row>
          </v-flex>
        </v-layout>
      </v-container>
    </v-app>
  </div>
</template>

<style>
html {
  overflow: hidden !important;
  scrollbar-width: none;
  -ms-overflow-style: none;
}</style>
